Subject: Where can I get Rivets?

From: [email-masked] (AugustRed)
Date: 8 Feb 1995 02:48:31 -0500

Anyone know where I can get steel or brass rivets(not pop or blind rivets)
in the Los Angeles area? None of the local Hardware stores carry them.

Help!!

AugustRed

---

From: Marc Christensen <[email-masked]>
Date: Thu, 9 Feb 95 11:07:44 -0500

>in the Los Angeles area? None of the local Hardware stores carry them.
 
very few people even know what a buck type rivet is anymore.
they are used in aviation a lot but most places probably won't
have anything other than aluminum unless they are a BIG distributor.
my local Eagle hardware has a fair number of larger aluminum and a few
steel rivets.
you may try the yellow pages under rivets and under fasteners.
here's 2 I found.
800-289-2479  J-C sales & Rivet Inc
800-521-6777  J-C Sales & Rivet Inc the last one was cherry, mostly blind rivets
800-343-4607 R & A Supply
 
I haven't called them and don't know if they have what you want, but it's a
free call.
 
marc christensen

---

From: [email-masked] (J. Kimberlin)
Date: 8 Feb 1995 17:27:36 -0800

>in the Los Angeles area? None of the local Hardware stores carry them.

Have you tried Busy Bee hardware in Santa Monica?  They used to have such 
stuff and may still have it if they are still in business.  If not, it is 
back to Coles' Power Models in Ventura.  Address in the FAQ.

JerryK

---

From: [email-masked] (GAshmore)
Date: 9 Feb 1995 22:34:23 -0500

>in the Los Angeles area? None of the local Hardware stores carry them.

Try Small Parts in Miami.  OK, it ain't LA!  But they have a fair
selection of copper rivits from 3/8 to 1" long and up to 3/16" dia.

(305)557-8222

Glenn Ashmore - The lone Mid-Ga Steamer